GadgetsMenu [1.8 - 1.17] [Free] 4.5.1

Amazing hub perks for donor! Hats,Particles,Suits,Gadgets,Pets,Morphs,Banners,Emotes and much more!

  1. yapzhenyie
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    Contributors:
    Yap Zhen Yie, NoteBlockAPI(xxmicloxx)
    Languages Supported:
    Simplified Chinese, Spanish, Polish, Czech
    Supporting us by purchasing GadgetsMenu Premium. Your support will help us to improve GadgetsMenu and add more features.




    [​IMG]

    Test Server (1.12-1.17)
    mc.yapzhenyie.com
    Thanks to
    ShockByte


    [​IMG]
    [​IMG][​IMG][​IMG][​IMG]
    [​IMG] [​IMG]
    GadgetsMenu is an advanced cosmetics plugin that provide tons of the features & cosmetics. It has Hats, Animated Hats, Particles, Suits, Gadgets, Pets, Morphs, Banners, Emotes, Cloaks and Mystery Boxes. Cosmetic items can be gained by using Mystery Dust to purchase or open a Mystery Box. You can give specific cosmetics to players with a donor rank to make them feel special comparing to normal players. Most of the settings can be configured and customized in the corresponding files. With this plugin, you can do anything that you could think about it.

    See the article on Why Premium?

    What're the differences between Premium and Free version?
    [​IMG]

    FEATURES
    148+ Hats

    4+ Animated Hats
    21+ Particles
    15+ Suits
    45+ Gadgets
    130+ Pets
    14+ Morphs
    12+ Banners
    17+ Emotes
    9+ Cloaks
    Mystery Boxes
    Mystery Gifts
    Give Item on join
    Nameable your pet
    Purchase System
    Item Cost Discount

    Customizable Messages
    Open Multiple Boxes at the same time

    Supported Vault, PlayerPoints, CoinsAPI and more
    Easy Configuration
    Placeholders
    Update Checker
    Often Update
    Basic API

    MySQL & SQLite
    Compatible with 1.8~1.16 spigot
    Metrics
    FREE

    and more!







    [​IMG]

    Got an issue/bug wanted to report or feature you want to suggest? Please open an issue on GitHub issue tracker. Please don't post bug reports/suggestions in the review section. The best way is to post an issue report on GitHub or in the discussion section.

    Having trouble? Check our Wiki pages or FAQ page to find an answer.

    Looking for other language translations?

    If you just have a question, you can join our Discord server. You may find a people to assist you or solve your problem.


    [​IMG]
    You can find a complete list of commands & permissions on GitHub Wiki.






    [​IMG]
    You are able to create your own hats, animated hats, particles, banners and emotes in custom cosmetics.

    Make sure you have read the guide before creating a new cosmetic item.

    Custom Hat
    Custom Animated Hat

    Custom Particle
    Custom Banner
    Custom Emote






    [​IMG]
    Requires PlaceholderAPI plugin.
    These placeholders only available for those plugins who are supported PlaceholderAPI for placeholders, like Featherboard plugin.

    CLICK HERE FOR PLACEHOLFERS






    [​IMG]
    [​IMG]

    By ThelpixGamer (v3.6.0)


    By LtJim007 (v3.6.14)


    By Clezoulou59 (v3.7.3)


    By Maximiliano (v4.3)


    By SpigotFAQ (v4.3.43)


    By The Creative Way (v4.6.3)



    [​IMG]

    Servers using GadgetsMenu
    play.betacraft.org
    mc.serv.nu
    mc.lululand.de
    play.melacraft.com
    eastcore.eu

    PixelVibeMC.aternos.me



    [​IMG]
    Vlasyslav, cutefoxs, bithuc and 72 others like this.

Recent Updates

  1. [4.5.1] Bug Fix
  2. [4.5.0] 1.17 Support
  3. [4.4.9] SQLite bug fix

Recent Reviews

  1. Bijju089
    Bijju089
    5/5,
    Version: 4.5.1
    WoW I thought while Using its free Version of plugin may crash my Server AND IT WAS WRONG!!!
    Plugin WOrks Well
    Too clean plugin :)
    1. yapzhenyie
      Author's Response
      I thought the plugin causing your server to crash :O
  2. ImNoah
    ImNoah
    5/5,
    Version: 4.5.1
    Great plugin, free with a bunch of gadgets to use.

    Is it possible to add a way to get what suit a player is using on API? Thanks.
    1. yapzhenyie
  3. TechiBuzz69
    TechiBuzz69
    5/5,
    Version: 4.5.1
    This plugin deserves 1000000 stars... no seriously such high quality in just the free version! OMG if you want a cosmetics plugin, just go for this no doubt... hats off to the dev
  4. Maksiu_Kozak
    Maksiu_Kozak
    5/5,
    Version: 4.4.9
    hi, I just have an suggestion, add hot potato gadget like on most popular server in the world, I think it's very good plugin but only it need that 1 gadget, that for me, Thanks <3
    Edit: pls do it for free version, if no then no okay, please
  5. ELpavoGamer
    ELpavoGamer
    5/5,
    Version: 4.4.9
    Best plugin free for lobbys can you add my server from list mc.snakepvp.club thanks
  6. EH800
    EH800
    4/5,
    Version: 4.4.9
    I really like this plugin. Tho it doesn't seem to work with 1.17 :/. Idk if I'm the one doing something wrong, but when my server was 1.16 it worked.
    1. yapzhenyie
      Author's Response
      1.17 support will be added soon
  7. UknownEnity1508
    UknownEnity1508
    5/5,
    Version: 4.4.9
    Best plugin work very well best for mini games sever and other server and people on disc respond almost every time and almost everything is written in the wiki
  8. PavlosSk
    PavlosSk
    5/5,
    Version: 4.4.9
    Hello I Have to say this plugin is very nice/good but please can you make the suits more real and The Flash Suit Make it when you run to left orange lighting in back you now what i mean?
  9. danil20028191
    danil20028191
    5/5,
    Version: 4.4.9
    Please, fix! Latest Version of PaperSpigot.
    [GadgetsMenu] Enabling GadgetsMenu v4.6.9
    [21:27:27 INFO]: [GadgetsMenu] ------------------------------------------------------
    [21:27:27 INFO]: [GadgetsMenu] GadgetsMenu [Premium] 4.6.9 is loading...
    [21:27:27 INFO]: [GadgetsMenu] [server: git-Paper-631 (MC: 1.16.5)]
    [21:27:27 INFO]: [GadgetsMenu] Plugin by Yap Zhen Yie.
    [21:27:27 INFO]: [GadgetsMenu] Date Modified: 16 April 2021
    [21:27:27 INFO]: [GadgetsMenu]
    [21:27:27 INFO]: [GadgetsMenu] Initializing module v1_16_R3
    [21:27:27 INFO]: [GadgetsMenu] ------------------------------------------------------
    [21:27:28 INFO]: [GadgetsMenu] Connecting to SQLite database...
    [21:27:28 INFO]: [GadgetsMenu] Successfully connected to SQLite database.
    [21:27:28 INFO]: [GadgetsMenu] Enabled Mystery Vault individual hologram.
    [21:27:28 INFO]: [PlaceholderAPI] Successfully registered expansion: gadgetsmenu
    [21:27:28 INFO]: [GadgetsMenu] [Placeholder] PlaceholderAPI hooked.
    [21:27:28 INFO]: [PlugMan] GadgetsMenu has been reloaded.
    [21:27:28 INFO]: [GadgetsMenu] Disabling GadgetsMenu v4.6.9
    [21:27:28 INFO]: [GadgetsMenu] SQLite database connection has been closed.
    [21:27:28 ERROR]: Error occurred while disabling GadgetsMenu v4.6.9 (Is it up to date?)
    java.lang.IllegalStateException: ExpansionUnregisterEvent may only be triggered synchronously.
    at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:595) ~[patched_1.16.5.jar:git-Paper-631]
    at me.clip.placeholderapi.expansion.manager.LocalExpansionManager.unregister(LocalExpansionManager.java:252) ~[?:?]
    at me.clip.placeholderapi.expansion.PlaceholderExpansion.unregister(PlaceholderExpansion.java:141) ~[?:?]
    at com.yapzhenyie.GadgetsMenu.GadgetsMenu.onDisable(GadgetsMenu.java:475) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:265) ~[patched_1.16.5.jar:git-Paper-631]
    at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:415) ~[patched_1.16.5.jar:git-Paper-631]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:516) ~[patched_1.16.5.jar:git-Paper-631]
    at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:508) ~[patched_1.16.5.jar:git-Paper-631]
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_281]
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_281]
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_281]
    at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_281]
    at com.yapzhenyie.GadgetsMenu.tasks.WorldGuardRegion.run(WorldGuardRegion.java:90) ~[?:?]
    at org.bukkit.craftbukkit.v1_16_R3.scheduler.CraftTask.run(CraftTask.java:100) ~[patched_1.16.5.jar:git-Paper-631]
    at org.bukkit.craftbukkit.v1_16_R3.scheduler.CraftAsyncTask.run(CraftAsyncTask.java:54) ~[patched_1.16.5.jar:git-Paper-631]
    at com.destroystokyo.paper.ServerSchedulerReportingWrapper.run(ServerSchedulerReportingWrapper.java:22) ~[patched_1.16.5.jar:git-Paper-631]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) ~[?:1.8.0_281]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) ~[?:1.8.0_281]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_281]
    1. yapzhenyie
      Author's Response
      No support for non buyer. You're using cracked plugin.
  10. Aurarumeur_Zbs
    Aurarumeur_Zbs
    5/5,
    Version: 4.4.9
    Nice plugin. Can you make /gadgetsmenu lang command ?
    that would be really nice